# 🔥ObsiVim

Nvim как менеджер заметок! Что еще нужно для счастья ?

- Рендеринг markdown
- Дети
- Меню быстрого перехода
- Глобальный поиск по содержимому файлов

# ⚠️ Требования
- fzf - Пакет для fuzzy поиска (необходим)
- [chafa](https://github.com/hpjansson/chafa) - Предпросмотр фото прямо в терминале (необязательно)


# ✨Установленные плагины 

### Функционал 

##### Obsivim
- [nvim-treesitter](https://github.com/nvim-treesitter/nvim-treesitter) - Обработка синтаксиса 
- [nvim-cmp](https://github.com/hrsh7th/nvim-cmp) - Система автодополнения
- [fzf-lua](https://github.com/ibhagwan/fzf-lua) - Fuzzy finder
- [cmp-nvim-lsp](https://github.com/hrsh7th/cmp-nvim-lsp) - Источник данных для nvim-cmp
- [nvim-tree.lua](https://github.com/kyazdani42/nvim-tree.lua) - Проводник файлов
- [plenary.nvim](https://github.com/nvim-lua/plenary.nvim) - Библиотека Lua функций
- [bufferline.nvim](https://github.com/akinsho/bufferline.nvim) - Менеджер буферов

##### Дополнения 
- [FixCursorHold.nvim](https://github.com/antoinemadec/FixCursorHold.nvim) - Исправление проблемы CursorHold
- [gitsigns.nvim](https://github.com/lewis6991/gitsigns.nvim) - Интеграция с Git
- [lualine.nvim](https://github.com/nvim-lualine/lualine.nvim) - Статусная строка
- [mason.nvim](https://github.com/williamboman/mason.nvim) - Менеджер пакетов LSP
- [nvim-lspconfig](https://github.com/neovim/nvim-lspconfig) - Конфигурация LSP серверов
- [cmp-nvim-lsp-signature-help](https://github.com/hrsh7th/cmp-nvim-lsp-signature-help) - Подсказки для сигнатур функций

### Визуал 
- [nvim-web-devicons](https://github.com/nvim-tree/nvim-web-devicons) - Иконки (рекомендуется)
- [render-markdown.nvim](https://github.com/MeanderingProgrammer/render-markdown.nvim) - Визуализация Markdown (рекомендуется)
- [indent-blankline.nvim](https://github.com/lukas-reineke/indent-blankline.nvim) - Визуализация отступов
- [tokyonight.nvim](https://github.com/folke/tokyonight.nvim) - Цветовая схема Tokyo Night
- [gruvbox](https://github.com/morhetz/gruvbox) - Цветовая схема Gruvbox
- [vim-nightfly-colors](https://github.com/bluz71/vim-nightfly-colors) - Цветовая схема Nightfly
- [kanagawa.nvim](https://github.com/rebelot/kanagawa.nvim) - Цветовая схема Kanagawa
- [which-key.nvim](https://github.com/folke/which-key.nvim) - Показывает доступные комбинации клавиш


# 📖Структура 

```bash
.
├── init.lua
├── lazy-lock.json
├── lua
│   ├── config
│   │   ├── bufferline.lua
│   │   ├── cmp-nvim-lsp.lua
│   │   ├── common-settings.lua
│   │   ├── fzf.lua
│   │   ├── gitsigns.lua
│   │   ├── indent-blankline.lua
│   │   ├── lazy.lua
│   │   ├── lualine.lua
│   │   ├── mason.lua
│   │   ├── nvim-cmp.lua
│   │   ├── nvim-lspconfig.lua
│   │   ├── nvim-tree.lua
│   │   ├── nvim-treesitter.lua
│   │   ├── render-markdown.lua
│   │   ├── telescope.lua
│   │   ├── vimtex.lua
│   │   └── which-key.lua
│   └── plugins.lua
└── README.md
```
# ⬇️ Установка 

### linux
```bash
mv ~/.config/nvim ~/.config/bkp_nvim
git clone ssh://git@root-kit.ru:17458/sam/Obsivim.git nvim
nvim .
```
*также не забудьте установить пакеты fzf и chafa*



# ⌨️ Сочетания клавиш

Leader - пробел

### Поиск (fzf.lua)
- Leader + o - поиск файлов по имени
- Leader + f - поиск файлов по содержимому

### Markdown-форматирование(mkdx)

- Leader + i - курсивный текст
- Leader + b - жирный текст
- Leader + = - следующее состояние чекбокса
- Leader + - - предыдущее состояние чекбокса
- Leader + ] - повышение заголовка
- Leader + [ - понижение заголовка
- Leader + ' - переключить цитату
- Leader + ` - обернуть инлайн кодом
- Leader + k - переключить горячие клавиши
- Leader + ll - переключить элемент списка
- Leader + lt - переключить элемент чеклиста
- Leader + / - сгенерировать/обновить TOC 
- Leader + s - перечеркнутый текст
- Leader + ln - обернуть ссылкой
- Leader + t - переключить элемент чекбокса
- Leader + , - преобразовать CSV в таблицу (в режиме визуального выделения)
- Leader + j - перейти к заголовку
- Leader + I - быстрый TOC
- Leader + L - быстрая проверка мертвых фрагментов ссылок
- Leader + gf - перейти к файлу
- Leader + gx - открыть внешний файл
- Tab - отступ нумерованного элемента списка
- Shift + Tab - уменьшение отступа нумерованного элемента списка
- ]] - переход к следующему заголовку
- [[ - переход к предыдущему заголовку

Дополнительные команды для режима вставки:
- <tab - вставить горячие клавиши
- enter - обработчик enter
- shift+enter - обработчик shift+enter
- ctrl+n - обработчик автодополнения ctrl+n
- ctrl+p - обработчик автодополнения ctrl+p



###### Помогите 
>Бедным детям в Уганде нужна ваша помощь!
>
>Наберите :help iccf<Enter> для дополнительной информации



